<?php

session_start();

include 'load.php';

$branch_id = $_SESSION['branch_id'];

?>



<!DOCTYPE html>

<html lang="en">



<head>

	<meta charset="utf-8">

	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">

	<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">

	<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">

	<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">

	<meta name="robots" content="noindex, nofollow">



	<title>Daily Stock Add List | Payroll | Pos & Invetory System | Dashboard

</title>





	<?php

	require_once 'headercss.php';

	?>

</head>



<body>

	<div id="global-loader">

		<div class="whirly-loader"> </div>

	</div>



	<div class="main-wrapper">

		<?php

		require_once 'header.php';

		?>



		<?php

		require_once 'navbar.php';

		?>



		<div class="page-wrapper">

			<div class="content">

				<div class="page-header">

					<div class="page-title">

						<h4>Daily Stock Add List</h4>

						<h6>View/Search Daily Stock Add</h6>

					</div>

					<div class="page-btn">

						<a href="addstock.php" class="btn btn-added"><img src="assets/img/icons/plus.svg" class="me-2" alt="img"> Add Stock</a>

					</div>

				</div>

				

				<div class="card">

					<div class="card-body">

						<div class="table-top">

							<div class="search-set">

							</div>

							<div class="wordset">



							</div>

						</div>

						

						<div class="card mb-0" id="filter_inputs" style="display:block;">

							<div class="card-body pb-0">

								<div class="row">

									<div class="col-lg-12 col-sm-12">

										<form method="GET" enctype="multipart/form-data">

											<div class="row">

												<div class="col-lg-8 col-sm-8 col-12">

													<div class="form-group">

														<label for="start-date">Supplier</label>

														<select class="form-control select2" name="supplier" required> 

														<option value="">Select Supplier</option>

														<?php 

				

														$sql = "SELECT * FROM mobilesuppliers";

														$result = $conn->query($sql);



														if ($result->num_rows > 0) {

														while($row = $result->fetch_assoc()) { ?>

														<option value="<?php echo $row['spid']; ?>"><?php echo $row['spname']; ?></option>

														<?php }

														}

														?>

														</select>

													</div>

												</div>

												<div class="col-lg-4 col-sm-4 col-12">

													<div class="form-group">

														<button type="submit" name="search" class="btn btn-block btn-outline-success active btn-md text-white" style="margin-top:33px;width:100%;" class="btn btn-filters ms-auto">

														<i class="fa fa-search" aria-hidden="true"></i> Search

														</button>

													</div>

												</div>



											</div>

										</form>



									</div>

								</div>

							</div>

						</div>



						<div class="table-responsive">

							<table class="table" id="betable">

								<thead>

									<tr>

										<th>#</th>
										
										<th>Type</th>

										<th>Product Name</th>

										<th>Supplier</th>

										<th>Open Stock/Qty</th>

										<th>Add Stock/Qty</th>
										
										<th>From Branch</th>
										
										<th>To Branch</th>

										<th>Added Date</th>

									</tr>

								</thead>

								<tbody>

										<?php

										

										if (isset($_GET['search'])) {

									

										$count=0;

										

										$totalrowopenstock=0;

										$totalrowcurrentstock=0;

										

										$supplier = $_GET['supplier'];



										$stmt = $DB_con->prepare("SELECT tst.tsid,tst.productid as tstproductid,tst.tsqty,tst.frombranch,tst.tobranch,tst.stype,tst.add_date,mpr.prid as mprprid,mpr.prcode,mpr.itemcode,mpr.proname,mpr.qty mprqty,mpr.supplier FROM tblstocktrafer tst INNER JOIN mobileproducts mpr ON tst.productid=mpr.prid WHERE tst.frombranch = '$branch_id' AND mpr.supplier='$supplier' AND tst.stype='Add' AND tst.productid!='148' ORDER BY tst.add_date DESC");



										$stmt->execute();



										if($stmt->rowCount() > 0)



										{



										while($row=$stmt->fetch(PDO::FETCH_ASSOC))



										{



										extract($row);

										

										$totalrowopenstock=$totalrowopenstock+$row['mprqty'];

										$totalrowcurrentstock=$totalrowcurrentstock+$row['tsqty'];

										

										$count++;

										

										?>

										<tr>

											<td>

											<?php echo number_format($count,0); ?>

											</td>
											
											<td>
											<?php
											
											if($row['stype'] == "Add") {
											echo '<a class="badges bg-primary text-white">Add</a>';
											}else if($row['stype'] == "Transfer") {
											echo '<a class="badges bg-success text-white">Transfer</a>';
											}

											?>
											</td>

											<td>

											<?php echo $row["prcode"]; ?> | <?php echo $row["itemcode"]; ?> | <?php echo $row["proname"]; ?>

											</td>

											<td><?php

											if($row['supplier'] == "0"){

													

											}else{	

												

											$id = $row['supplier'];  



											$query = $DB_con->prepare('SELECT spname FROM mobilesuppliers WHERE spid='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['spname'];

}

											?></td>

											<td><?php echo $row["mprqty"]; ?></td>

											<td><?php echo $row["tsqty"]; ?></td>
											
											<td><?php

											if($row['frombranch'] == "0"){

													

											}else{	

												

											$id = $row['frombranch'];  



											$query = $DB_con->prepare('SELECT branch_name FROM branch WHERE branch_id='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['branch_name'];

}

											?></td>
											
											<td><?php

											if($row['tobranch'] == "0"){

													

											}else{	

												

											$id = $row['tobranch'];  



											$query = $DB_con->prepare('SELECT branch_name FROM branch WHERE branch_id='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['branch_name'];

}

											?></td>

											<td>

											<?php echo date_format(date_create($row['add_date']), "M d, Y | h:i:s "); ?>

											</td>

										</tr>

										<?php

										

										}

										

										}

										

										}else{

										$count=0;

										$totalrowopenstock=0;

										$totalrowcurrentstock=0;



										$stmt = $DB_con->prepare("SELECT tst.tsid,tst.productid as tstproductid,tst.tsqty,tst.frombranch,tst.tobranch,tst.stype,tst.add_date,mpr.prid as mprprid,mpr.prcode,mpr.itemcode,mpr.proname,mpr.qty mprqty,mpr.supplier FROM tblstocktrafer tst INNER JOIN mobileproducts mpr ON tst.productid=mpr.prid WHERE tst.frombranch = '$branch_id' AND tst.stype='Add' AND tst.productid!='148' ORDER BY tst.add_date DESC");



										$stmt->execute();



										if($stmt->rowCount() > 0)

										{


										while($row=$stmt->fetch(PDO::FETCH_ASSOC))



										{



										extract($row);

										

										$totalrowopenstock=$totalrowopenstock+$row['mprqty'];

										$totalrowcurrentstock=$totalrowcurrentstock+$row['tsqty'];

										

										$count++;

										

										?>

										<tr>

											<td>

											<?php echo number_format($count,0); ?>

											</td>
											
											<td>
											<?php
											
											if($row['stype'] == "Add") {
											echo '<a class="badges bg-primary text-white">Add</a>';
											}else if($row['stype'] == "Transfer") {
											echo '<a class="badges bg-success text-white">Transfer</a>';
											}

											?>
											</td>
											
											<td>

											<?php echo $row["prcode"]; ?> | <?php echo $row["itemcode"]; ?> | <?php echo $row["proname"]; ?>

											</td>

											<td><?php

											if($row['supplier'] == "0"){

													

											}else{	

												

											$id = $row['supplier'];  



											$query = $DB_con->prepare('SELECT spname FROM mobilesuppliers WHERE spid='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['spname'];

}

											?></td>

											<td><?php echo number_format((float)$row["mprqty"],2); ?></td>

											<td><?php echo number_format((float)$row["tsqty"],2); ?></td>

											<td><?php

											if($row['frombranch'] == "0"){

													

											}else{	

												

											$id = $row['frombranch'];  



											$query = $DB_con->prepare('SELECT branch_name FROM branch WHERE branch_id='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['branch_name'];

}

											?></td>
											
											<td><?php

											if($row['tobranch'] == "0"){

													

											}else{	

												

											$id = $row['tobranch'];  



											$query = $DB_con->prepare('SELECT branch_name FROM branch WHERE branch_id='.$id);



											$query->execute();



											$result = $query->fetch();



											echo $result['branch_name'];

}

											?></td>

											<td>

											<?php echo date_format(date_create($row['add_date']), "M d, Y | h:i:s "); ?>

											</td>

										</tr>

										<?php 

										}

										}

										}

										?>

								</tbody>

								<tfoot style="background-color:#008b0b;color:#ffffff;">

									<tr>

										<th></th>

										<th></th>
										
										<th></th>

										<th><strong>All Total</strong></th>

										<th><?php echo number_format((float)$totalrowopenstock,2); ?></th>

										<th><?php echo number_format((float)$totalrowcurrentstock,2); ?></th>

										<th></th>
										
										<th></th>
										
										<th></th>


									</tr>

								</tfoot>

							</table>

						</div>

					</div>

				</div>



			</div>

		</div>

	</div>

	

<script>

		function printDiv(printableArea) {



			var printContents = document.getElementById(printableArea).innerHTML;

			var originalContents = document.body.innerHTML;



			document.body.innerHTML = printContents;



			window.print();



			document.body.innerHTML = originalContents;



		}

	</script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-rc.0/js/select2.min.js"></script>



	<script>

	// Initialize Select2 plugin with typing search functionality

	$('.select2').select2();

	</script>

	

	<script data-cfasync="false" src="../../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script>

							

	<script src="assets/js/jquery-3.6.0.min.js"></script>



	<script src="assets/js/feather.min.js"></script>



	<script src="assets/js/jquery.slimscroll.min.js"></script>



	<script src="assets/js/jquery.dataTables.min.js"></script>

	<script src="assets/js/buttons.dataTables.js"></script>

	<script src="assets/js/dataTables.bootstrap4.min.js"></script>



	<script src="assets/js/bootstrap.bundle.min.js"></script>



	<script src="assets/js/moment.min.js"></script>

	<script src="assets/js/bootstrap-datetimepicker.min.js"></script>

	<script src="assets/js/pdfmake.min.js"></script>

	<script src="assets/plugins/select2/js/select2.min.js"></script>

	<script src="assets/js/vfs_fonts.js"></script>



	<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>

	<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

	<script src="assets/js/dataTables.buttons.min.js"></script>

	<script src="assets/js/jszip.min.js"></script>

	<script src="assets/js/buttons.html5.min.js"></script>

	<script src="assets/js/script.js"></script>

	

	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>



	<script>

		



		$(document).ready( function() {

			$('#betable').DataTable({

        dom: 'Bfrtip', 

        buttons: [

            'copy', 

            'csv',  

            {

                extend: 'excelHtml5', 

                customize: function(xlsx) {

                    var sheet = xlsx.xl.worksheets['sheet1.xml']; 

                    $('row c[r^="C"]', sheet).attr('s', '2'); 

                }

            },

            'pdf',  

            'print' 

        ]

    });

	} );

	</script>

	

	<style>

	#betable_filter{

		margin-bottom: 20px;

	}

	</style>



</body>



</html>